Soporte » Instalación – Actualizaciones » Multiples problemas al actualizar

  • Resuelto paucardona

    (@paucardona)


    Hola a tod@s
    Ante todo disculpas si algo de esto no va aquí pero todo sucedió tras actualizar.

    Ayer quisé instalar el plugin woocommerce pero antes de hacerlo (en el menu para instalar plugins nuevos) me advirtió que debía actualizar wordpress para usarlo, así que lo hice.

    Al emprezar a configurar woocommerce veo que lo que debian ser botones aparece como texto con formatos raros, pero pensé que era problema del plugin y fuí haciendo.

    Hoy he vuelto a trabajar en ello y me doy cuenta que diferentes partes del dashboard no cargan bien, hasta donde he visto, las opciones del tema (Ronneby) salen también como texto y muy lentas, el Bakery (que ya he visto en hilo que no es compatible también es cierto que tengo una versión desactualizada) simplemente ha desaparecido, y ahora acabo de ver la pagina da plugins no carga y da diferentes errores del tipo:
    Warning: Illegal string offset ‘deactivate’ in /home4/paucg/public_html/wp-content/plugins/wp-editor/classes/WPEditor.php on line 333

    Warning: Cannot assign an empty string to a string offset in /home4/paucg/public_html/wp-content/plugins/wp-editor/classes/WPEditor.php on line 333

    Ah leyendo también he visto que era incompatible con WPML (que también tengo)

    Vamos un caos, lo posteo aquí porque entiendo que es debido a la actualización
    Ah, tengo otra web que he estado montando el últimno mes, también con Ronneby y WP Bakery, pero se actualizó sola y no ha dado problemas.
    Que opciones tengo ¿?
    Gracias de antemano!

    • Este debate fue modificado hace 1 mes por paucardona.

    La página con la que necesito ayuda: [accede para ver el enlace]

Viendo 10 respuestas - de la 1 a la 10 (de un total de 10)
  • Moderador Jose Luis

    (@jose64)

    Hola

    Los problemas que tienes seguramente se deben a que no tienes actualizado ni el tema (estás usando la versión 2.5.1 y va por la 3.2.4), ni WPBakery (tienes la versión 5.7 y van por la 6.2.0), sin embargo Revolution Slider si lo tienes actualizado.

    Actualiza el tema y todos los plugins que incluye y seguramente se solucionará todo, según la descripción del tema está preparado para trabajar con WPML, así que no se donde leíste que es incompatible, de hecho, si no fuera compatible con el tema no lo podrías utilizar y está funcionando correctamente.

    Por favor, recuerda cerrar el debate marcándolo como resuelto, así nos ayudas a mantener el foro al día.

    paucardona

    (@paucardona)

    A ver,

    Creo que tienes razón, pero actualizar me ha dejado en un problema nuevo.

    No solo la página de plugins no está activa sino que parece que nos instalan nuevos, así que la nueva versión del tema no puede usar el visual composer. Total, la web está enseñando el codigo y el problema ahora se ve «fuera».

    Voy a mover el hilo a plugins ya que ahora parace ser la clave de todo.

    Gracias por la ayuda, aunque actualizar no ha solucionado el problema, si parece que era un paso necesario.

    Moderador Jose Luis

    (@jose64)

    Hola

    Revisa en el panel de tu hosting la versión de PHP que estás usando, es posible que el error se deba a eso, aparte deberías ver el log de errores para identificar exactamente dónde está el problema

    paucardona

    (@paucardona)

    Vale voy a buscar, per esto ya se me escapa, creo que puedo llegar a la versión de PHP, pero ¿donde localizo el log de errores? ¿también en el pael del hosting?
    Gracias!

    Actualizo con la info del PHP:
    cpsrvd 11.86.0.21
    Versión del cliente de base de datos: libmysql – 5.6.43
    Extensión PHP: mysqliDocumentación curlDocumentación mbstringDocumentación
    Versión de PHP: 7.3.6

    • Esta respuesta fue modificada hace 1 mes por paucardona.
    Moderador Jose Luis

    (@jose64)

    Hola

    No dupliques debates, el sitio adecuado es este porque el problema es de una actualización.

    Como te indiqué antes, revisa la versión de php que usa tu instalación, si puedes acceder al escritorio reinstala WordPress desde el escritorio:

    Escritorio > Actualizaciones > Si necesitas reinstalar la versión 5.4.2–es_ES, puedes hacerlo aquí: Reinstalar ahora

    Si no puedes reinstalar desde el escritorio, haz una actualización manual. Trata de descargar WordPress de nuevo y borra y reemplaza tu copia de todo excepto el archivo wp-config.php y la carpeta /wp-content/ con las copias de la descarga. Esto reemplaza los archivos base de WordPress sin dañar tu contenido y configuraciones. Algunas aplicaciones FTP dan errores al sobreescribir archivos así que no olvides borrar los archivos originales antes de reemplazarlos.

    Coméntanos los progresos, aunque con eso deberías tenerlo todo solucionado

    Moderador Jose Luis

    (@jose64)

    Disculpa, se cruzaron los mensajes.

    El hosting cumple con los requisitos, así que haz la actualización como te indiqué en la entrada anterior

    paucardona

    (@paucardona)

    Si, mi intención era cerrar este y mover el tema a plugins pero me quedo aquí 😉

    La cuestión es, sé que mi versión de PHP es 7.3.6 pero no sé si es la adecuada…
    por otro lado, intento reinstalar ya wordpress o debo averiguar primero lo del PHP

    Moderador Jose Luis

    (@jose64)

    Hola

    Tu servidor cumple con los Requisitos, por lo que por ese lado no deberías tener problema, el tema que estás usando también es compatible, según la descripción.

    Si no visualizas correctamente el backend de la instalación actualiza nuevamente WordPress como te lo indiqué antes.

    Para actualizar manualmente un plugin, en tu caso no está activado WPBakery, te dejo una par de entradas que explican el sistema, pero recuerda que antes de hacer cualquier cambio en la base de datos tienes que hacer una copia de respaldo, por si acaso.

    paucardona

    (@paucardona)

    Parece que no puedo desde el escritorio. Así que voy a probar la opción B, os voy contando.
    Gracias de nuevo!

    paucardona

    (@paucardona)

    Al final los de soporte del hosting han tocado los plugins y se se ha solucionado la cosa.
    Gracias por la atención!

Viendo 10 respuestas - de la 1 a la 10 (de un total de 10)
  • Debes estar registrado para responder a este debate.